OBS User unknown 2007-01-15 23:36:52 +00:00 committed by Git OBS Bridge
commit ccff4b15e2
10 changed files with 678 additions and 0 deletions

23
.gitattributes vendored Normal file
View File

@ -0,0 +1,23 @@
## Default LFS
*.7z filter=lfs diff=lfs merge=lfs -text
*.bsp filter=lfs diff=lfs merge=lfs -text
*.bz2 filter=lfs diff=lfs merge=lfs -text
*.gem filter=lfs diff=lfs merge=lfs -text
*.gz filter=lfs diff=lfs merge=lfs -text
*.jar filter=lfs diff=lfs merge=lfs -text
*.lz filter=lfs diff=lfs merge=lfs -text
*.lzma filter=lfs diff=lfs merge=lfs -text
*.obscpio filter=lfs diff=lfs merge=lfs -text
*.oxt filter=lfs diff=lfs merge=lfs -text
*.pdf filter=lfs diff=lfs merge=lfs -text
*.png filter=lfs diff=lfs merge=lfs -text
*.rpm filter=lfs diff=lfs merge=lfs -text
*.tbz filter=lfs diff=lfs merge=lfs -text
*.tbz2 filter=lfs diff=lfs merge=lfs -text
*.tgz filter=lfs diff=lfs merge=lfs -text
*.ttf filter=lfs diff=lfs merge=lfs -text
*.txz filter=lfs diff=lfs merge=lfs -text
*.whl filter=lfs diff=lfs merge=lfs -text
*.xz filter=lfs diff=lfs merge=lfs -text
*.zip filter=lfs diff=lfs merge=lfs -text
*.zst filter=lfs diff=lfs merge=lfs -text

1
.gitignore vendored Normal file
View File

@ -0,0 +1 @@
.osc

122
edit-xml-catalog.sh Normal file
View File

@ -0,0 +1,122 @@
#!/bin/bash
# $0 $for_root_catalog add|del
export LC_ALL=C
usage="\
$0 [-a|-d] [--add|--del] [-c|--catalog /etc/xml/CATALOG] CATALOG_FRAGMENT_FILE"
# TEMP=$(getopt -o ac:dghv \
# --long add,cat:,catalog:,del,delete,group,help,verbose \
# -n "$0" -- "$@")
# # Note the quotes around `$TEMP': they are essential!
# eval set -- "$TEMP"
ROOTCATALOG=/etc/xml/catalog
mode=add
while test $# -gt 0; do
# while true ; do
case "$1" in
-h|--help) echo "$usage"; exit 0 ;;
-a|--add) mode=add; shift ;;
-c|--cat*) if test $# -gt 1; then ROOTCATALOG="$2"; shift 2;
else echo "$usage"; exit 1; fi ;;
-d|--del*) mode=del; shift ;;
-g|--group) marker=group; shift ;;
-v|--verbose) verbose="-v"; echo=echo; shift ;;
--) shift ; break ;;
*) break ;;
# *) echo "Internal error!" ; exit 1 ;;
esac
done
FOR_ROOT_CAT=$1
[ -z "$FOR_ROOT_CAT" ] && { echo $usage; exit 1; }
xmlcat=/usr/bin/xmlcatalog
xmllint=/usr/bin/xmllint
for b in $xmlcat $xmllint; do
[ -x $b ] || { echo "error: $b does not exist" ; exit 1; }
done
prep_catalog () {
local cat=$1
[ -s $cat ] || rm -f $cat
if [ -r $cat ]; then
if grep -q '"urn:oasis:names:tc:entity:xmlns:xml:catalog"/>' $cat; then
rm -f $cat
fi
fi
if [ ! -r $cat ] ; then
$xmlcat --create | sed 's:/>:>\
</catalog>:' >$cat
# echo Failed creating XML Catalog root $1
fi
}
# Check /etc/xml/catalog
prep_catalog /etc/xml/catalog
if [ "$ROOTCATALOG" != /etc/xml/catalog ]; then
root=${ROOTCATALOG#/etc/xml/}
if ! grep -q "nextCatalog.*catalog=\"${root}\"" /etc/xml/catalog; then
cp /etc/xml/catalog /etc/xml/catalog.tmp
sed "/<\/catalog>/i\\
<nextCatalog catalog=\"${root}\"/>" \
/etc/xml/catalog.tmp >/etc/xml/catalog
fi
prep_catalog "$ROOTCATALOG"
fi
add_entry () {
{
sed '/<\/catalog>/d' $ROOTCATALOG
$xmllint --nocatalogs --format ${FOR_ROOT_CAT} \
| awk '\
/<\/catalog>/{next}
s == 1 {print}
/<catalog/{s=1}
END{print "</catalog>"}'
} >$ROOTCATALOG.tmp
$xmllint --nocatalogs --noout $ROOTCATALOG.tmp \
&& mv $ROOTCATALOG.tmp $ROOTCATALOG
}
del_entry () {
pattern=$FOR_ROOT_CAT
echo $pattern
if [ -r $ROOTCATALOG ]; then
# Either delete <group>...</group>
# or <!-- pac_start: ... -->...<!-- pac_end: ... -->
if [ "$marker" = "group" ]; then
$xmllint --nocatalogs --format $ROOTCATALOG \
| awk "\
/<\/group>/ && s == 1 {s=0;next}
s == 1 {next}
/<group id=\"$pattern\">/{s=1;next}
{print}" > $ROOTCATALOG.tmp
else
$xmllint --nocatalogs --format $ROOTCATALOG \
| awk "\
/<!-- pac_end: $pattern do not remove! -->/{s=0;next}
s == 1 {next}
/<!-- pac_start: $pattern do not remove! -->/{s=1;next}
{print}" > $ROOTCATALOG.tmp
fi
$xmllint --nocatalogs --noout $ROOTCATALOG.tmp \
&& mv $ROOTCATALOG.tmp $ROOTCATALOG
fi
}
case "$mode" in
del)
del_entry
;;
add)
[ -r ${FOR_ROOT_CAT} ] || { echo \"$FOR_ROOT_CAT\" does not exist; exit 1; }
add_entry
;;
*)
esac
exit

163
install-catalog.in Normal file
View File

@ -0,0 +1,163 @@
#!/bin/sh
# Script to install a catalog in the centralized SGML catalog
# Send any comments to Eric Bischoff <eric@caldera.de>
# This program is under GPL license. See LICENSE file for details.
# Set help message
SGML_HELP_MESSAGE="Usage: `basename $0` [<option>] <action>\n\
where <option> is:\n\
\040 -d|--delegate: \t\t\t Use DELEGATE instead of CATALOG\n\
and where <action> is:\n\
\040 -a|--add <centralized> <ordinary>: \t Declare ordinary catalog in the centralized catalog\n\
\040 -r|--remove <centralized> <ordinary>:\t Remove ordinary catalog from the centralized catalog\n\
\040 -h, --help: \t\t\t\t Print this help message and exit\n\
\040 -v, --version: \t\t\t Print the version number and exit\n"
# Set version message
SGML_VERSION_MESSAGE="sgml-common version @VERSION@ (install-catalog version 1.0)"
# Set type of pointer
SGML_POINTER="CATALOG"
# Set action to be performed
SGML_ACTION=""
# Set catalogs
SGML_CENTRALIZED=""
SGML_ORDINARY=""
# Process options
case $1 in
-d|--delegate) SGML_POINTER="DELEGATE"
shift 1
;;
esac
# Process actions
case $1 in
-a|--add) SGML_ACTION="addition"
SGML_CENTRALIZED=$2
SGML_ORDINARY=$3
;;
-r|--remove) if [ -z "$3" -o "$3" = "--version" ]
then
echo "install-catalog: Old syntax; doing nothing"
exit 0
fi
SGML_ACTION="removal"
SGML_CENTRALIZED=$2
SGML_ORDINARY=$3
;;
-h|--help) echo -e $SGML_HELP_MESSAGE
exit 0
;;
-v|--version) echo -e $SGML_VERSION_MESSAGE
exit 0
;;
--install) echo "install-catalog: Old syntax; doing nothing"
exit 0
;;
*) echo -e $SGML_HELP_MESSAGE >&2
exit 1
;;
esac
# Check that the super catalog can be created and changed and deleted
if [ ! -w /etc/sgml ]
then
echo "`basename $0`: unable to write in /etc/sgml." >&2
exit 2
fi
case $SGML_ACTION in
addition)
if [ -e /etc/sgml/catalog -a ! -w /etc/sgml/catalog ]
then
echo "`basename $0`: can not modify \"/etc/sgml/catalog\"." >&2
exit 2
fi
;;
removal)
if [ ! -w /etc/sgml/catalog ]
then
echo "`basename $0`: can not modify \"/etc/sgml/catalog\"." >&2
exit 2
fi
;;
esac
# Check that the centralized catalog can be created, changed and deleted
if [ -z "$SGML_CENTRALIZED" ]
then
echo -e $SGML_HELP_MESSAGE >&2
exit 1
fi
case $SGML_ACTION in
addition)
if [ -e $SGML_CENTRALIZED -a ! -w $SGML_CENTRALIZED ]
then
echo "`basename $0`: can not modify \"$SGML_CENTRALIZED\"." >&2
exit 2
fi
;;
removal)
if [ ! -w $SGML_CENTRALIZED ]
then
echo "`basename $0`: can not modify \"$SGML_CENTRALIZED\"." >&2
exit 2
fi
;;
esac
# Check that we have at least one ordinary package to process
if [ -z "$SGML_ORDINARY" ]
then
echo -e $SGML_HELP_MESSAGE >&2
exit 1
fi
case $SGML_ACTION in
addition)
if [ ! -s $SGML_ORDINARY ]
then
echo "`basename $0`: \"$SGML_ORDINARY\" does not exist or is empty." >&2
exit 2
fi
;;
esac
# Installation or removal of pointers
case $SGML_ACTION in
addition)
echo "`basename $0`: addition of $SGML_ORDINARY in $SGML_CENTRALIZED"
if grep -q $SGML_ORDINARY $SGML_CENTRALIZED 2>/dev/null
then
echo "Warning: $SGML_ORDINARY is already installed in the centralized catalog $SGML_CENTRALIZED" >&2
else
echo "$SGML_POINTER $SGML_ORDINARY" >> $SGML_CENTRALIZED
fi
grep -q $SGML_CENTRALIZED /etc/sgml/catalog 2>/dev/null
if [ $? -ne 0 ]
then
echo "`basename $0`: addition of $SGML_CENTRALIZED in /etc/sgml/catalog"
echo "$SGML_POINTER $SGML_CENTRALIZED" >> /etc/sgml/catalog
fi
;;
removal)
echo "`basename $0`: removal of $SGML_ORDINARY from $SGML_CENTRALIZED"
if grep -q $SGML_ORDINARY $SGML_CENTRALIZED 2>/dev/null
then
sed -e "\:$SGML_POINTER $SGML_ORDINARY:d" < $SGML_CENTRALIZED > ${SGML_CENTRALIZED}.new
mv ${SGML_CENTRALIZED}.new $SGML_CENTRALIZED
else
echo "Warning: $SGML_ORDINARY was not found in the centralized catalog $SGML_CENTRALIZED" >&2
fi
if [ ! -s $SGML_CENTRALIZED ]
then
rm $SGML_CENTRALIZED
echo "`basename $0`: removal of $SGML_CENTRALIZED from /etc/sgml/catalog"
sed -e "\:$SGML_POINTER $SGML_CENTRALIZED:d" < /etc/sgml/catalog > /etc/sgml/catalog.new
mv /etc/sgml/catalog.new /etc/sgml/catalog
fi
;;
esac
exit 0

0
ready Normal file
View File

3
sgml-skel-0.6.tar.bz2 Normal file
View File

@ -0,0 +1,3 @@
version https://git-lfs.github.com/spec/v1
oid sha256:a87e468648d1d2c2f629cca1ee712b00fe0ea162620e826efdc720de04d2d4e8
size 63662

23
sgml-skel-regcat.diff Normal file
View File

@ -0,0 +1,23 @@
--- sgml-skel-0.6/sgml-register-catalog.in 2002-11-25 09:42:46.000000000 +0100
+++ sgml-skel-0.6/sgml-register-catalog.in 2002-11-25 13:02:47.000000000 +0100
@@ -126,13 +126,12 @@
# else
# echo "Warning: $SGML_ORDINARY was not found in the centralized catalog $SGML_CENTRALIZED" >&2
# fi
- if [ ! -s $SGML_ORDINARY ]; then
+ # set -x
# rm $SGML_ORDINARY
- echo "`basename $0`: removal of $SGML_ORDINARY from /etc/sgml/catalog"
- sed -e "\:$SGML_POINTER \"\?$SGML_ORDINARY\"\?\>:d" /etc/sgml/catalog \
- > /etc/sgml/catalog.new
- mv /etc/sgml/catalog.new /etc/sgml/catalog
- fi
+ echo "`basename $0`: removal of $SGML_ORDINARY from /etc/sgml/catalog"
+ sed -e "\:$SGML_POINTER \+\"\?$SGML_ORDINARY\"\?\>:d" /etc/sgml/catalog \
+ > /etc/sgml/catalog.new
+ mv /etc/sgml/catalog.new /etc/sgml/catalog
;;
esac
Diff finished at Mon Nov 25 13:20:03

22
sgml-skel-regcat2.diff Normal file
View File

@ -0,0 +1,22 @@
--- sgml-skel-0.6/sgml-register-catalog.in.~1~ 2002-11-28 16:30:54.000000000 +0100
+++ sgml-skel-0.6/sgml-register-catalog.in 2002-11-28 16:41:59.000000000 +0100
@@ -111,7 +111,7 @@
# else
# echo "$SGML_POINTER $SGML_ORDINARY" >> $SGML_CENTRALIZED
# fi
- grep -q -e "\<$SGML_ORDINARY\>" /etc/sgml/catalog 2>/dev/null
+ grep -q -e "$SGML_ORDINARY\"\?[ ]*$" /etc/sgml/catalog 2>/dev/null
if [ $? -ne 0 ]; then
echo "`basename $0`: addition of $SGML_ORDINARY in /etc/sgml/catalog"
echo "$SGML_POINTER \"$SGML_ORDINARY\"" >> /etc/sgml/catalog
@@ -129,7 +129,7 @@
# set -x
# rm $SGML_ORDINARY
echo "`basename $0`: removal of $SGML_ORDINARY from /etc/sgml/catalog"
- sed -e "\:$SGML_POINTER \+\"\?$SGML_ORDINARY\"\?\>:d" /etc/sgml/catalog \
+ sed -e "\:$SGML_POINTER \+\"\?$SGML_ORDINARY\"\?[ ]*$:d" /etc/sgml/catalog \
> /etc/sgml/catalog.new
mv /etc/sgml/catalog.new /etc/sgml/catalog
;;
Diff finished at Thu Nov 28 16:42:05

154
sgml-skel.changes Normal file
View File

@ -0,0 +1,154 @@
-------------------------------------------------------------------
Mon Aug 14 16:40:32 CEST 2006 - ke@suse.de
- Provide /etc/xml/catalog.
- SuSEconfig.sgml-skel: Remove it. It was required to solve on update
issue while introducing the /usr/share/xml hierarchy. It is obsolete
now.
-------------------------------------------------------------------
Wed Jan 25 21:47:50 CET 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
-------------------------------------------------------------------
Mon Jul 4 09:14:21 CEST 2005 - ke@suse.de
- PreReq /bin/awk; reported by Marco Michna [# 94798].
-------------------------------------------------------------------
Fri Jun 24 09:59:33 CEST 2005 - ke@suse.de
- Add %{_sysconfdir}/xml/suse-catalog.xml and mark it as %ghost.
-------------------------------------------------------------------
Mon Jun 20 11:42:33 CEST 2005 - schwab@suse.de
- Mark %{_sysconfdir}/sgml/catalog as %ghost and remove %pre.
-------------------------------------------------------------------
Fri Nov 12 00:54:48 CET 2004 - mmj@suse.de
- cp used in %pre so add to PreReq:
-------------------------------------------------------------------
Wed Aug 25 08:44:41 CEST 2004 - ke@suse.de
- edit-xml-catalog.sh: Drop dependency on getopt to avoid adding more
PreReqs in packages depending on sgml-skel. Reported by Thorsten
Kukuk [# 44154].
-------------------------------------------------------------------
Mon Feb 23 16:01:40 CET 2004 - hmacht@suse.de
- building as non-root
-------------------------------------------------------------------
Thu Feb 12 15:34:41 CET 2004 - ke@suse.de
- Fix tei-xsl link.
- Add svg-dtd links.
-------------------------------------------------------------------
Wed Feb 11 17:35:18 CET 2004 - ke@suse.de
- Correct resp. change some links; add tei-xsl-stylesheets.
-------------------------------------------------------------------
Thu Feb 5 17:01:32 CET 2004 - ke@suse.de
- Correct docbook-xsl-stylesheets related compat links.
- Add links for mathml-dtd.
-------------------------------------------------------------------
Fri Jan 30 18:11:05 CET 2004 - ke@suse.de
- Also create docbook-xsl-stylesheets related compat links (FHS 2.3
related change).
-------------------------------------------------------------------
Fri Jan 23 16:21:57 CET 2004 - ke@suse.de
- Add SuSEconfig.sgml-skel: In case of an update provide compatibility
links.
-------------------------------------------------------------------
Thu Jul 31 17:50:22 CEST 2003 - meissner@suse.de
- autoreconf -i -f, so the --build arch switch detects ppc64.
-------------------------------------------------------------------
Fri Jun 13 17:21:56 CEST 2003 - ke@suse.de
- Drop /usr/share/sgml from and add /etc/xml to %files.
-------------------------------------------------------------------
Tue Apr 29 09:25:49 CEST 2003 - ke@suse.de
- Add option --group to build <group>...</group> sections with id
attributes in catalog files.
-------------------------------------------------------------------
Mon Apr 28 16:40:46 CEST 2003 - ke@suse.de
- Add option --catalog to allow editing arbitrary catalog files.
-------------------------------------------------------------------
Mon Apr 28 11:23:26 CEST 2003 - ke@suse.de
- Add edit-xml-catalog.sh, a script for editing /etc/xml/catalog.
-------------------------------------------------------------------
Wed Dec 11 10:16:42 CET 2002 - ke@suse.de
- sgml-skel-regcat2.diff: Don't register catalogs twice.
-------------------------------------------------------------------
Mon Nov 25 13:49:11 CET 2002 - ke@suse.de
- Update to version 0.6:
* New script: sgml-register-catalog.
- sgml-skel-regcat.diff: Remove subcatalog without checking unrelated
stuff.
-------------------------------------------------------------------
Thu Nov 21 11:29:30 CET 2002 - ke@suse.de
- /etc/sgml/catalog now belongs to this package; preserve backup in case
sgmltools-lite owns it at the same time.
- Install install-catalog without suffix.
-------------------------------------------------------------------
Tue Nov 19 16:31:04 CET 2002 - ke@suse.de
- Add install-catalog.sh (from CVS:docbook-tools/sgml-common).
-------------------------------------------------------------------
Mon May 27 09:51:20 CEST 2002 - ke@suse.de
- Update to version 0.5:
- New scripts: sgml2xmlcat.sh (re-written, replacement for
sgmlcat2x.sh) and parse-sgml-catalog.sh to normalized SGML Open
catalogs.
-------------------------------------------------------------------
Mon May 6 11:39:53 CEST 2002 - ke@suse.de
- Add sgmlcat2x.sh to parse normalized traditional SGML catalog files.
-------------------------------------------------------------------
Mon Aug 27 08:27:12 CEST 2001 - ke@suse.de
- Update to version 0.2 (now it's a proper package):
- Recognize ISO identifiers (additionally to '-//' and '+//' owner
tags).
- Handle language and version field.
- More error checking.
-------------------------------------------------------------------
Thu Mar 22 11:40:41 CET 2001 - ke@suse.de
- New package.

167
sgml-skel.spec Normal file
View File

@ -0,0 +1,167 @@
#
# spec file for package sgml-skel (Version 0.6)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#
# norootforbuild
Name: sgml-skel
BuildRequires: libxml2
Summary: Helper Scripts for the SGML System
Version: 0.6
Release: 281
Group: Productivity/Publishing/SGML
Requires: libxml2
PreReq: /bin/awk
#Provides:
License: GPL
# URL:
Source0: http://www.suse.de/~ke/%{name}/%{name}-%{version}.tar.bz2
# :pserver:anoncvs@sources.redhat.com:/cvs/docbook-tools
Source1: docbook-tools/sgml-common/bin/install-catalog.in
Source2: edit-xml-catalog.sh
Patch: sgml-skel-regcat.diff
Patch1: sgml-skel-regcat2.diff
BuildRoot: %{_tmppath}/%{name}-%{version}-build
BuildArchitectures: noarch
%description
These scripts will help prepare and maintain parts of an SGML system.
Authors:
--------
Eric Bischoff <eric@caldera.de>
Karl Eichwalder <ke@suse.de>
%define sgmldir %{_datadir}/sgml
%define INSTALL install -m755 -s
%define INSTALL_SCRIPT install -m755
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
%prep
%setup -q
%patch -p 1
%patch1 -p 1
# # cp -p $RPM_SOURCE_DIR/%{name}-README.SuSE .
cp %{S:1} .
cp %{S:2} .
%build
# CFLAGS="$RPM_OPT_FLAGS"
autoreconf -i -f
./configure --prefix=%{_prefix} --infodir=%{_infodir} \
--datadir=%{_datadir} --mandir=%{_mandir} \
--build $RPM_ARCH-suse-linux
%install
make install DESTDIR=$RPM_BUILD_ROOT
%{INSTALL_SCRIPT} install-catalog.in $RPM_BUILD_ROOT%{_bindir}/install-catalog
%{INSTALL_SCRIPT} edit-xml-catalog.sh \
$RPM_BUILD_ROOT%{_bindir}/edit-xml-catalog
ln -sf sgml2xmlcat.sh $RPM_BUILD_ROOT%{_bindir}/sgmlcat2x.sh
ln -sf install-catalog $RPM_BUILD_ROOT%{_bindir}/install-catalog.sh
%{INSTALL_DIR} $RPM_BUILD_ROOT%{sgmldir}
%{INSTALL_DIR} $RPM_BUILD_ROOT%{_sysconfdir}/{sgml,xml}
%{INSTALL_DIR} $RPM_BUILD_ROOT/var/lib/sgml
touch $RPM_BUILD_ROOT%{_sysconfdir}/sgml/catalog
xmlcatalog --noout --create $RPM_BUILD_ROOT%{_sysconfdir}/xml/suse-catalog.xml
xmlcatalog --noout --create $RPM_BUILD_ROOT%{_sysconfdir}/xml/catalog
xmlcatalog --noout --add "nextCatalog" "suse-catalog.xml" "suse-catalog.xml" \
$RPM_BUILD_ROOT%{_sysconfdir}/xml/catalog
%clean
rm -fr $RPM_BUILD_ROOT
%files
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README*
%ghost %{_sysconfdir}/sgml/catalog
%ghost %{_sysconfdir}/xml/suse-catalog.xml
%config %verify(not md5 size mtime) %{_sysconfdir}/xml/catalog
%dir %{_sysconfdir}/sgml
%dir %{_sysconfdir}/xml
%{_bindir}/*
%dir /var/lib/sgml
%changelog -n sgml-skel
* Mon Aug 14 2006 - ke@suse.de
- Provide /etc/xml/catalog.
- SuSEconfig.sgml-skel: Remove it. It was required to solve on update
issue while introducing the /usr/share/xml hierarchy. It is obsolete
now.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jul 04 2005 - ke@suse.de
- PreReq /bin/awk; reported by Marco Michna [# 94798].
* Fri Jun 24 2005 - ke@suse.de
- Add %%{_sysconfdir}/xml/suse-catalog.xml and mark it as %%ghost.
* Mon Jun 20 2005 - schwab@suse.de
- Mark %%{_sysconfdir}/sgml/catalog as %%ghost and remove %%pre.
* Fri Nov 12 2004 - mmj@suse.de
- cp used in %%pre so add to PreReq:
* Wed Aug 25 2004 - ke@suse.de
- edit-xml-catalog.sh: Drop dependency on getopt to avoid adding more
PreReqs in packages depending on sgml-skel. Reported by Thorsten
Kukuk [# 44154].
* Mon Feb 23 2004 - hmacht@suse.de
- building as non-root
* Thu Feb 12 2004 - ke@suse.de
- Fix tei-xsl link.
- Add svg-dtd links.
* Wed Feb 11 2004 - ke@suse.de
- Correct resp. change some links; add tei-xsl-stylesheets.
* Thu Feb 05 2004 - ke@suse.de
- Correct docbook-xsl-stylesheets related compat links.
- Add links for mathml-dtd.
* Fri Jan 30 2004 - ke@suse.de
- Also create docbook-xsl-stylesheets related compat links (FHS 2.3
related change).
* Fri Jan 23 2004 - ke@suse.de
- Add SuSEconfig.sgml-skel: In case of an update provide compatibility
links.
* Thu Jul 31 2003 - meissner@suse.de
- autoreconf -i -f, so the --build arch switch detects ppc64.
* Fri Jun 13 2003 - ke@suse.de
- Drop /usr/share/sgml from and add /etc/xml to %%files.
* Tue Apr 29 2003 - ke@suse.de
- Add option --group to build <group>...</group> sections with id
attributes in catalog files.
* Mon Apr 28 2003 - ke@suse.de
- Add option --catalog to allow editing arbitrary catalog files.
* Mon Apr 28 2003 - ke@suse.de
- Add edit-xml-catalog.sh, a script for editing /etc/xml/catalog.
* Wed Dec 11 2002 - ke@suse.de
- sgml-skel-regcat2.diff: Don't register catalogs twice.
* Mon Nov 25 2002 - ke@suse.de
- Update to version 0.6:
* New script: sgml-register-catalog.
- sgml-skel-regcat.diff: Remove subcatalog without checking unrelated
stuff.
* Thu Nov 21 2002 - ke@suse.de
- /etc/sgml/catalog now belongs to this package; preserve backup in case
sgmltools-lite owns it at the same time.
- Install install-catalog without suffix.
* Tue Nov 19 2002 - ke@suse.de
- Add install-catalog.sh (from CVS:docbook-tools/sgml-common).
* Mon May 27 2002 - ke@suse.de
- Update to version 0.5:
- New scripts: sgml2xmlcat.sh (re-written, replacement for
sgmlcat2x.sh) and parse-sgml-catalog.sh to normalized SGML Open
catalogs.
* Mon May 06 2002 - ke@suse.de
- Add sgmlcat2x.sh to parse normalized traditional SGML catalog files.
* Mon Aug 27 2001 - ke@suse.de
- Update to version 0.2 (now it's a proper package):
- Recognize ISO identifiers (additionally to '-//' and '+//' owner
tags).
- Handle language and version field.
- More error checking.
* Thu Mar 22 2001 - ke@suse.de
- New package.